Attach file to comment

POST
https://example.kaiten.ru/api/latest/cards/{card_uid}/comments/{comment_uid}/files
Path parameters
NameTypeReference
card_uidrequiredstring (uuid)Card UID
comment_uidrequiredstring (uuid)Comment UID
Headers
NameValueDescription
AuthorizationrequiredBearer <token>API token is required
Content-Typemultipart/form-data
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string (uuid)

File UID
name

string

File name
size

string (bigint)

File size in bytes
mime_type

string (mime-type)

MIME type
author_uid

string (uuid)

Author UID
card_uid

string (uuid)

Card UID
comment_uid

string (uuid)

Comment UID
company_uid

string (uuid)

Company UID
entity_type

string

File entity type, always comment
created

string (date-time)

Creation date and time
updated

string (date-time)

Last update date and time
card_cover

boolean

Flag indicating that image is used as card cover
400
DescriptionResponse typeExample
Validation errorObjectResponse body does not exist
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist
404
DescriptionResponse typeExample
Not foundResponse body does not exist
413
DescriptionResponse typeExample
File is larger than the limit configured for the installationResponse body does not exist
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

Upload file

  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_uid}/comments/{comment_uid}/files' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: multipart/form-data' \
  5       
  6       

Response

ClickTry It!to start a request and see the response here!